unit aumentadescricaoitem;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TFormAumentaDescricao = class(TForm)
    Label1: TLabel;
    BitBtn1: TBitBtn;
    Memo1: TMemo;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormAumentaDescricao: TFormAumentaDescricao;

implementation

uses principal;

{$R *.dfm}

procedure TFormAumentaDescricao.BitBtn1Click(Sender: TObject);
begin
        FormPrincipal.Descricao_Complementar:=Memo1.Text;
        Close;
end;

procedure TFormAumentaDescricao.FormShow(Sender: TObject);
begin
        if FormAumentaDescricao.Caption='Descricao Complementar' then begin
                Label1.Caption:='Descricao';
                Memo1.Text:='Insira a descrição do produto';
        end
        else begin
                Label1.Caption:='Mensagem Promocional';
                Memo1.Text:=Chr(16)+'E'+'Volte Sempre'+Chr(13)+chr(10)+Chr(16)+'B'+'Obrigado pela preferencia!';
        end
end;

end.
